Documents
List documents for beneficial owner
Returns all identity verification documents submitted for a beneficial owner. Includes document status, verification results, document type (passport, driver’s license, etc.), and failure reasons if verification was rejected. Used to track document submission and verification progress during the business verification process.
GET
/
beneficial-owners
/
{id}
/
documents
cURL
GET https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2/documents
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLfwKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2/documents"
}
},
"_embedded": {
"documents": [
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "pending",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "pending"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/20988444-c7e1-40cf-ab1a-a20da878e568",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "document"
}
},
"id": "20988444-c7e1-40cf-ab1a-a20da878e568",
"status": "reviewed",
"type": "license",
"created": "2019-05-30T22:01:40.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
},
{
"reason": "ScanIdExpired",
"description": "ID is expired or missing expiration date"
}
]
}
]
},
"total": 2
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl =
"https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2";
dwolla
.get(`${beneficialOwnerUrl}/documents`)
.then((res) => res.body._embedded["documents"][0].id); // => '56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2'
documents = app_token.get('%s/documents' % beneficial_owner_url)
documents.body['total'] # => 2<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2';
$beneficialOwnersApi = new DwollaSwagger\BeneficialOwnersApi($apiClient);
$listDocsBeneficialOwner = $beneficialOwnersApi->getBeneficialOwnerDocuments($beneficialOwnerUrl);
$listDocsBeneficialOwner->total; # => 2
?># Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2'
documents = app_token.get "#{beneficial_owner_url}/documents"
documents._embedded['documents'][0].id # => "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"{
"_links": {},
"_embedded": {
"documents": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "reviewed",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
}
]
}
]
},
"total": 2
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
beneficial owner unique identifier
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2/documents
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLfwKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2/documents"
}
},
"_embedded": {
"documents": [
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "pending",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "pending"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/20988444-c7e1-40cf-ab1a-a20da878e568",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "document"
}
},
"id": "20988444-c7e1-40cf-ab1a-a20da878e568",
"status": "reviewed",
"type": "license",
"created": "2019-05-30T22:01:40.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
},
{
"reason": "ScanIdExpired",
"description": "ID is expired or missing expiration date"
}
]
}
]
},
"total": 2
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl =
"https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2";
dwolla
.get(`${beneficialOwnerUrl}/documents`)
.then((res) => res.body._embedded["documents"][0].id); // => '56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2'
documents = app_token.get('%s/documents' % beneficial_owner_url)
documents.body['total'] # => 2<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2';
$beneficialOwnersApi = new DwollaSwagger\BeneficialOwnersApi($apiClient);
$listDocsBeneficialOwner = $beneficialOwnersApi->getBeneficialOwnerDocuments($beneficialOwnerUrl);
$listDocsBeneficialOwner->total; # => 2
?># Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/176878b8-ecdb-469b-a82b-43ba5e8704b2'
documents = app_token.get "#{beneficial_owner_url}/documents"
documents._embedded['documents'][0].id # => "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"{
"_links": {},
"_embedded": {
"documents": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "reviewed",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
}
]
}
]
},
"total": 2
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}